Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class Configuration.MetadataSourceQueue

    java.lang.Object
      org.hibernate.cfg.Configuration.MetadataSourceQueue

All Implemented Interfaces:
  Serializable

Enclosing class:
  Configuration

    protected class Configuration.MetadataSourceQueue

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `Configuration.MetadataSourceQueue()`

Method Summary
`void` | `add(org.hibernate.annotations.common.reflection.XClass annotatedClass)`
`void` | `add(XmlDocument metadataXml)`
`boolean` | `isEmpty()`
`protected void` | `processMetadata(List<MetadataSourceType> order)`
`protected void` | `syncAnnotatedClasses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration.MetadataSourceQueue

    protected Configuration.MetadataSourceQueue()

Method Detail

### add

    public void add(XmlDocument metadataXml)

### add

    public void add(org.hibernate.annotations.common.reflection.XClass annotatedClass)

### syncAnnotatedClasses

    protected void syncAnnotatedClasses()

### processMetadata

    protected void processMetadata(List<MetadataSourceType> order)

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.